<?php
require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';


if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------

if ($_REQUEST['accion']=='sedes'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from sedes");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

 
    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Sede - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;        
    }
  
}

//--------------------------------------


if ($_REQUEST['accion']=='grados'){

    $sede=$_REQUEST['sede'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select cursos.grado, grados.descripcion from grados inner join cursos on grados.codigo = cursos.grado
                               group by cursos.grado, grados.descripcion, grados.orden, cursos.sede having cursos.sede=".$sede." order by grados.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['grado'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $sede=$_REQUEST['sede'];
    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.grado='".$grado."' and cursos.sede='".$sede."' order by cursos.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion']."    Jornada: ".$row['jornada'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------


if ($_REQUEST['accion']=='activar_alumno'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."' where codigo='".$codigo."'");

}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."'");

}

//---------------------------------------

if ($_REQUEST['accion']=='listado_alumnos'){
    
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena=$obj->consulta("select alumnos.codigo , CONCAT (p_apellido,' ', s_apellido,' ',p_nombre,' ',s_nombre) as Nombres
                            from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo
                            where (((matriculas.grado)='".$grado."') and ((matriculas.curso)='".$grupo."') and ((matriculas.estado)='A'))
                            order by CONCAT (p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre)");

    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>CODIGO</b></td>  <td><b>ALUMNOS</b></td> <td></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".$row['Nombres']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['codigo']."' type='checkbox' onclick='activar_alumno(".$row['codigo'].")'/></td>";

        $s.="</tr>";
        $i++;
   }
    $s.="</table>";


        //Insertamos registros en las tablas temporales

        $obj->consulta("DELETE FROM alumnos_temporal");
        $obj->consulta("insert into alumnos_temporal (codigo,grado,curso) select codigo,grado,curso from matriculas
                        where matriculas.grado='".$grado."' and matriculas.curso='".$grupo."' and matriculas.estado='A'");
        
        $obj->consulta("UPDATE alumnos_temporal SET activar='0'");


   echo $s;

   }

   $obj->disconnect();
    
}


?>
